;;;; type-errors-numbers.scheme.scm  -*- Scheme -*-

(module type-errors-numbers.scheme

(;export
  error-real
  error-complex
  error-rational
  error-exact
  error-inexact)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(: error-real (* * #!optional * -> noreturn))
(: error-complex (* * #!optional * -> noreturn))
(: error-rational (* * #!optional * -> noreturn))
(: error-exact (* * #!optional * -> noreturn))
(: error-inexact (* * #!optional * -> noreturn))

(define-error-type real)
(define-error-type complex)
(define-error-type rational)
(define-error-type exact)
(define-error-type inexact)

) ;module type-errors-numbers.scheme
